getCustodialDocuments

This method is used to get the statements and tax forms for a North Capital Private Securities custodial account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

ParameterRequiredTypeDescription
clientIDyesstringTransactAPI Client ID
developerAPIKeyyesstringTransactAPI Developer Key
accountIdyesstringAccount ID that is generated by the API once an account is created (createAccount)

Sample Request

curl -k -X POST https://tapi-sandboxdash.norcapsecurities.com/getCustodialDocuments
-d developerAPIKey=somedeveloperkey
-d clientID=someclientid
-d accountId=accountId

Response Parameters

ParameterTypeDescription
statusCodestringAPI Status Code
statusDescstringAPI Status Description
accountDetailsstring

Sample Response

{
	"statusCode": "101",
	"statusDesc": "Ok",
	"accountDetails": [{
		"Document Type": "PDF",
		"Month": "4",
		"Year": "2023",
		"StatementURL": "url"
	}]
}

Test it Yourself!

Body Params
string
required
string
required
string
required
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!